Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.common
Class XmlWhitespace

    java.lang.Object
      org.apache.xmlbeans.impl.common.XmlWhitespace

    public class XmlWhitespace

extends java.lang.Object

Field Summary
`static int` | `WS_COLLAPSE`
`static int` | `WS_PRESERVE`
`static int` | `WS_REPLACE`
`static int` | `WS_UNSPECIFIED`

Constructor Summary
`XmlWhitespace()`

Method Summary
`static java.lang.String` | `collapse(java.lang.String v)`
`static java.lang.String` | `collapse(java.lang.String v, int wsr)` The algorithm used by apply_wscanon: sometimes used in impls.
`static boolean` | `isAllSpace(java.lang.CharSequence v)`
`static boolean` | `isAllSpace(java.lang.String v)`
`static boolean` | `isSpace(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WS_UNSPECIFIED

    public static final int WS_UNSPECIFIED

See Also:
  Constant Field Values

### WS_PRESERVE

    public static final int WS_PRESERVE

See Also:
  Constant Field Values

### WS_REPLACE

    public static final int WS_REPLACE

See Also:
  Constant Field Values

### WS_COLLAPSE

    public static final int WS_COLLAPSE

See Also:
  Constant Field Values

Constructor Detail

### XmlWhitespace

    public XmlWhitespace()

Method Detail

### isSpace

    public static boolean isSpace(char ch)

### isAllSpace

    public static boolean isAllSpace(java.lang.String v)

### isAllSpace

    public static boolean isAllSpace(java.lang.CharSequence v)

### collapse

    public static java.lang.String collapse(java.lang.String v)

### collapse

    public static java.lang.String collapse(java.lang.String v,
                                            int wsr)

  The algorithm used by apply_wscanon: sometimes used in impls.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD